Skip to main content
GET
/
workspaces
/
{id}
/
budgets
List workspace budgets
curl --request GET \
  --url https://openrouter.ai/api/v1/workspaces/{id}/budgets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2025-08-24T10:30:00Z",
      "id": "770e8400-e29b-41d4-a716-446655440000",
      "limit_usd": 100,
      "reset_interval": "monthly",
      "updated_at": "2025-08-24T15:45:00Z",
      "workspace_id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string
required

The workspace ID (UUID) or slug

Minimum string length: 1
Example:

"production"

Response

Budgets retrieved successfully

data
object[]
required

List of budgets configured for the workspace